Bug 734872 - Subscription filter does not work with subscriptions that have no products
Summary: Subscription filter does not work with subscriptions that have no products
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: beta
: 7.0
Assignee: Carter Kozak
QA Contact: J.C. Molet
URL:
Whiteboard:
Depends On:
Blocks: rhsm-rhel70
TreeView+ depends on / blocked
 
Reported: 2011-08-31 17:29 UTC by J.C. Molet
Modified: 2014-09-15 00:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 12:25:43 UTC


Attachments (Terms of Use)

Description J.C. Molet 2011-08-31 17:29:50 UTC
Description of problem:
In the 'All Available Subscriptions' tab, the search filter "have no overlap with existing subscriptions"  does not seem to work for subscriptions that have no associated product with them.

Version-Release number of selected component (if applicable):
subscription-manager-gnome-0.96.8-1.git.0.125eb68.el6.x86_64
subscription-manager-0.96.8-1.git.0.125eb68.el6.x86_64
subscription-manager-firstboot-0.96.8-1.git.0.125eb68.el6.x86_64
python-rhsm-0.96.10-1.git.0.f8ec245.el6.noarch

How reproducible:
always

Steps to Reproduce:
1. Launch rhsm-gui and register
2. subscribe to the "Management Add On" (available with on-premise candlepin with TESTDATA=1)
3. Update the subscription search again with the "have no overlap with existing subscriptions" search filter selected
  
Actual results:
You still see the other Management Add On contract/subscription even though you have subscribed to one already

Expected results:
The filter would hide this.

Additional info:

Comment 3 RHEL Product and Program Management 2012-07-10 08:49:18 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 4 RHEL Product and Program Management 2012-07-11 02:07:40 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 5 Carter Kozak 2013-09-09 19:00:55 UTC
This appears to be fixed in current subscription-manager.

Comment 6 Sharath Dwaral 2013-10-09 18:38:44 UTC
Version:

# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.8.29-1
subscription-manager: 1.10.2-1.el7
python-rhsm: 1.10.2-1.el7


1. Register Systerm
2. Subscribe to "Awesome OS Modifier"
3. Set filter "have no overlap with existing subscription"
4. Click update -> Awesome OS Modifier not shown
5. Uncheck "have no overlap with existing subscription"
6. Click update -> Awesome OS Modifier is shown


VERIFIED

Comment 7 Ludek Smid 2014-06-13 12:25:43 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.